Table of Contents

Class: DNS | Twisted-0.17.4/twisted/protocols/dns.py
--- | ---

Base Classes |
--- | ---
protocol.Protocol

Methods |
--- | ---
dataReceived processQuery query writeMessage
| dataReceived

    dataReceived ( self,  data )

| processQuery

    processQuery ( self,  message )

| query

    query (
            self,
            name,
            callback,
            type=1,
            cls=1,
            recursive=1,
            )

| writeMessage

    writeMessage ( self,  message )

Exceptions |
--- | ---
NotConnectedError

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:04 2002 by HappyDoc version 2.0